Questions about MHP3, CFW and Stuff

Discussion in 'PSP - Games & Content' started by Blooper, Dec 19, 2010.

Dec 19, 2010
  1. Blooper
    OP

    Newcomer Blooper Member

    Joined:
    Dec 29, 2009
    Messages:
    19
    Country:
    Brazil
    Hey you guys,

    I'm fairly new to the PSP hacking scene. Just got my psp 2001 about 5 days ago. MHP3 is now out and, doing some research, I found out that I need to update my CFW to Gen-D3 Prometheus-4. Thing is that I'm now using 5.50 Gen-D2 and have read around that updating to D3 makes some games unplayable unless you apply a patch.

    Since I don't know the implications of this, should I update or not? I found some videos on youtube about how to do it, but I'm unsure. I'm playing CC:FFVII now, and alternating between some Tales Of games (Tales of Eternia, Tales of Mythology and Tales of Vs). Is the update reversable if it renders my games unplayable? Would it be worth to update this whole shit just to play MHP3? It's a good game, I spent a lot of time on Tri, too, but MHFU didn't quite please me.

    Thanks in advance.

    tl;dr

    - Is is safe to update from 5.50 Gen-D2 to 5.50 Gen-D3 and then to 5.50 Gen-D3 Prom-4?
    - Is it reversible?
    - Any info on games the update renders "unplayable without patches"?
    - Cost-benefit of the process?
     
  2. Goli

    Member Goli RPG

    Joined:
    Jul 16, 2008
    Messages:
    2,571
    Country:
    Chile
    It's not called GEN-D3 Prometheus 4, just Prometheus 4.
    You don't need to upgrade if you get a patched iso anyways.
    -Yes it's safe.
    -I'm not sure.
    -Suppossedly some very old games.
    -There's a ton of threads about this already.
    You should just upgrade.
     
  3. toshio

    Newcomer toshio Advanced Member

    Joined:
    Feb 23, 2009
    Messages:
    52
    Country:
    Japan
    I just stick with 5.00 m33-6 every game works on it so far and has the most compatibility with most of the plug-ins.
     

Share This Page